Bug 245218 - loading of savagefb result in 1 pixel horizontal shift
loading of savagefb result in 1 pixel horizontal shift
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-21 14:37 EDT by Peter Bieringer
Modified: 2010-12-05 02:15 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 02:15:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log with savage frame buffer loaded (40.99 KB, text/plain)
2008-01-09 17:55 EST, Christopher Brown
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 6523 None None None Never

  None (edit)
Description Peter Bieringer 2007-06-21 14:37:44 EDT
Description of problem:
If savagefb instead of vesafb is used on a laptop, there is a horizontal shift
of 1 pixel (to the left direction).

Version-Release number of selected component (if applicable):
kernel-2.6.21-1.3228.fc7


How reproducible:
Always

Steps to Reproduce:
1. boot laptop in normal mode (no vesafb mode specified) into single user mode
2. modprobe savagefb
  
Actual results:
leftmost vertical pixel line is missing

Expected results:
same result as on vesafb (which is correct)

Additional info:
Display: 1024x760

Chipset:
01:00.0 VGA compatible controller: S3 Inc. VT8636A [ProSavage KN133] AGP4X VGA
Controller (TwisterK) (rev 01) (prog-if 00 [VGA])
        Subsystem: Uniwill Computer Corp Unknown device 8003
        Flags: bus master, 66MHz, medium devsel, latency 32, IRQ 9
        Memory at dfe80000 (32-bit, non-prefetchable) [size=512K]
        Memory at d0000000 (32-bit, prefetchable) [size=128M]
        Expansion ROM at dfe70000 [disabled] [size=64K]
        Capabilities: [dc] Power Management version 2
        Capabilities: [80] AGP version 2.0

Playing with fbset doesn't help, there is not any reaction if used.
Comment 1 Peter Bieringer 2007-07-29 13:42:07 EDT
Same happen with kernel-2.6.22.1-33.fc7

Also it occurs that in run level 3 a user can close a started X session, but no
longer see console back again.
Comment 2 Christopher Brown 2007-09-17 08:11:33 EDT
Hello Peter,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.

Cheers
Chris
Comment 3 Peter Bieringer 2007-09-17 15:49:24 EDT
Still exists using 2.6.22.4-65.fc7
Comment 4 Christopher Brown 2007-09-17 16:05:32 EDT
Have you tried booting with vga=791 as a kernel boot parameter?
Comment 5 Peter Bieringer 2007-09-17 16:14:02 EDT
For sure, VESA framebuffer mode is working proper, but slow. But for speed-up I
tried savagefb.
Comment 6 Christopher Brown 2007-09-17 16:53:36 EDT
Found this upstream, unfortunately the reporter's equipment died...
Comment 7 Christopher Brown 2007-09-17 17:03:48 EDT
Linker broken so here it is:

http://bugzilla.kernel.org/show_bug.cgi?id=6523
Comment 8 Peter Bieringer 2007-09-18 01:41:08 EDT
Why did you change the component from kernel to xorg-x11-drv-savage?
Comment 9 Christopher Brown 2007-09-18 05:23:05 EDT
Unintended. I was scanning the list for xorg drivers in curiosity, saw savage
and forgot to change it back. Sorry for the noise.
Comment 10 Christopher Brown 2008-01-09 10:21:25 EST
Peter,

Any update on this? The upstream bug hasn't been touched much either.
Comment 11 Peter Bieringer 2008-01-09 14:48:05 EST
Issue still exists on latest F8 kernel: 2.6.23.9-85.fc8
Comment 12 Christopher Brown 2008-01-09 17:54:56 EST
I have obtained a Compaq Evo N115 which has this chipset. 

http://www.smolts.org/show?UUID=450dea0d-6b4c-49a1-b7cb-0fd4dbbd7435

01:00.0 VGA compatible controller: S3 Inc. VT8636A [ProSavage KN133] AGP4X VGA
Controller (TwisterK) (rev 01) (prog-if 00 [VGA])
        Subsystem: Compaq Computer Corporation Unknown device 0086
        Flags: bus master, 66MHz, medium devsel, latency 64, IRQ 5
        Memory at e8100000 (32-bit, non-prefetchable) [size=512K]
        Memory at f0000000 (32-bit, prefetchable) [size=128M]
        [virtual] Expansion ROM at e8180000 [disabled] [size=64K]
        Capabilities: [dc] Power Management version 2
        Capabilities: [80] AGP version 2.0


Unfortunately I can't replicate this. Loading the frame buffer results in a
machine lockup whilst in X. I am able to ssh in from another machine which shows
the following in dmesg:

[drm] Initialized drm 1.1.0 20060810
[drm] Initialized savage 2.4.1 20050313 on minor 0
mtrr: base(0xf2000000) is not aligned on a size(0x5000000) boundary
agpgart: Found an AGP 2.0 compliant device at 0000:00:00.0.
agpgart: Putting AGP V2 device at 0000:00:00.0 into 0x mode
agpgart: Putting AGP V2 device at 0000:01:00.0 into 0x mode
savagefb: mapped io at d0000000
savagefb: probed videoram:  16384k
savagefb: Detected current MCLK value of 14318 kHz
savagefb: mapped framebuffer at d0100000, pbase == f0000000
savagefb v0.4.0_2.6: 16256kB VRAM, using 800x600, 37.878kHz, 60Hz
fbcon: TwisterK (fb0) is primary device
Console: switching to colour frame buffer device 100x37
fb: S3 TwisterK frame buffer device

Loading in runlevel 3 and then starting is successful but the display is drawn
correctly.

I then tried adding:

Option "UseBios" "False"

to the Device section in xorg.conf, then starting X (which came up no problem,
unlike you reported at the upstream bug) then loading the framebuffer. This gave
me a cursor and then locked up the machine. I was again able to ssh in and the
same information was displayed.

Basically, I don't think this device will ever work correctly with the frame
buffer and being so old I wouldn't hold out for an update.

FWIW, when I did manage to get the framebuffer working I experienced no
noticeable speed increase.

I'm attaching my xorg log anyway.

I'll re-assign to Dave Airlie who might have more input on it as per:

http://fedoraproject.org/wiki/KernelBugTriage
Comment 13 Christopher Brown 2008-01-09 17:55:47 EST
Created attachment 291214 [details]
Xorg log with savage frame buffer loaded
Comment 14 Christopher Brown 2008-02-03 17:06:12 EST
Copying in ajax as he may have some input as well...
Comment 15 Bug Zapper 2008-11-26 02:21:36 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Peter Bieringer 2008-11-26 18:10:24 EST
Still happen on F10
Comment 17 Bug Zapper 2009-11-18 05:06:38 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Peter Bieringer 2009-11-26 08:23:21 EST
The issue still exists on F12 with kernel 2.6.31.5-127.fc12

Note that I found a typo in my original posting:

Additional info:
Display: 1024x768  (not 760)

modprobe's local.conf:

options savagefb mode_option=1024x768@60

(default would be 800x600)

Note also that "fbset -mode right" does not show any change...looks like the "savagefb" module misses an offset option.
Comment 19 Bug Zapper 2010-11-04 08:09:44 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 20 Bug Zapper 2010-12-05 02:15:55 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.